%define	upstream_name	 Gimp
%define upstream_version 2.3
%define abi_version	 2.0

Name:       perl-%{upstream_name}
Epoch:      1
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 18

Summary:    Perl module enabling to write plugins for the Gimp2
License:    GPL or Artistic
Group:      Development/GNOME and GTK+
Url:        https://metacpan.org/release/GimpGimp.pm
Source0:    https://cpan.metacpan.org/authors/id/S/SJ/SJBURGES/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     Gimp-2.2-fix-str-fmt.patch
Patch2:     Gimp-2.2-linkage.patch
Patch3:     fix-detect-gimp-2.10.patch

BuildRequires: perl(Data::Dumper) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Gtk2) >= 1.0.0
BuildRequires: perl(PDL)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: libgimp-devel > 2.0
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Gtk2)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(PDL)
Requires:   gtk+2
Requires:   libgtk+2
Requires:   perl-Glib >= 1.021
Requires:   perl-PDL
Provides:   gimp-perl = %{epoch}:%{version}
Obsoletes:  gimp-perl < %{epoch}:2.0

# Don't use automatic requires for perl-PDL (#22095):
%global __requires_exclude perl\\(PDL

%description
This module provides perl access to the Gimp2 libraries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
# (tv) // build is broken:
make

%check
%__make test

%install
mkdir -p %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/
make DESTDIR=%{buildroot} pure_vendor_install
install -m 755 examples/* %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/
perl -pi -e "s^/opt/bin/perl^%_bindir/perl^" %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/*

# fix conflict with gimp-1:
rm -f %{buildroot}%{_mandir}/man1/embedxpm.*
rm -f %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/redeye
rm -f %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/README
rm -f %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/examples.TODO

%files
%doc AUTHORS COPYING ChangeLog Changes MAINTAINERS META.json META.yml MYMETA.yml NEWS README TODO UI examples
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/gimp/%{abi_version}/plug-ins/*
%{perl_vendorarch}/*


%changelog
* Fri Jan 29 2021 daviddavid <daviddavid> 1:2.300.0-18.mga8
+ Revision: 1673891
- switch back to gimp 2.0
+ luigiwalser <luigiwalser>
- change 2.0 to 3.0 in patch 3
- try rebuilding gimp plugin

* Fri Jun 19 2020 tv <tv> 1:2.300.0-17.mga8
+ Revision: 1596598
- rebuild for perl-5.32

* Sun Feb 16 2020 umeabot <umeabot> 1:2.300.0-16.mga8
+ Revision: 1530416
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1:2.300.0-15.mga8
+ Revision: 1433617
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1:2.300.0-14.mga7
+ Revision: 1292964
- Mageia 7 Mass Rebuild

* Mon Aug 13 2018 tv <tv> 1:2.300.0-13.mga7
+ Revision: 1251312
- fix filelist
- disable parrallel build as it's broken
- rebuild for perl-5.28
+ daviddavid <daviddavid>
- rebuild for new gegl 0.4.0

* Mon Apr 02 2018 tv <tv> 1:2.300.0-11.mga7
+ Revision: 1214759
- fix building with gimp-2.10

* Mon Oct 02 2017 tv <tv> 1:2.300.0-10.mga7
+ Revision: 1164536
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1:2.300.0-9.mga7
+ Revision: 1150085
- Rebuild for perl ABI changes

* Mon Jul 24 2017 tv <tv> 1:2.300.0-8.mga7
+ Revision: 1130071
- fix build with perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1:2.300.0-7.mga6
+ Revision: 1027934
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 1:2.300.0-6.mga6
+ Revision: 962011
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1:2.300.0-5.mga6
+ Revision: 843512
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1:2.300.0-4.mga5
+ Revision: 739098
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.300.0-3.mga5
+ Revision: 684867
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Jun 03 2014 jquelin <jquelin> 1:2.300.0-2.mga5
+ Revision: 632487
- perl 5.20.0 rebuild

* Mon Feb 17 2014 jquelin <jquelin> 1:2.300.0-1.mga5
+ Revision: 593523
- update to 2.3

* Sat Oct 19 2013 umeabot <umeabot> 1:2.2-1.pre1.13.mga4
+ Revision: 525254
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1:2.2-1.pre1.12.mga4
+ Revision: 432729
- rebuild for new perl

* Wed Jan 23 2013 fwang <fwang> 1:2.2-1.pre1.11.mga3
+ Revision: 391625
- real linkage
- update link patch
- fix overlink

* Wed Jan 23 2013 cjw <cjw> 1:2.2-1.pre1.10.mga3
+ Revision: 391618
- drop unused build dep on glitz-devel

* Tue Jan 22 2013 sander85 <sander85> 1:2.2-1.pre1.9.mga3
+ Revision: 390944
- Fix build
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 1:2.2-0.pre1.8.mga2
+ Revision: 138592
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 1:2.2-0.pre1.7.mga2
+ Revision: 104431
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 1:2.2-0.pre1.6.mga1
+ Revision: 36241
- mageia rebuild
- imported package perl-Gimp


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1:2.2-0.pre1.6mdv2011.0
+ Revision: 564616
- rebuild for  perl 5.12.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:2.2-0.pre1.5mdv2011.0
+ Revision: 426447
- rebuild

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 1:2.2-0.pre1.4mdv2009.1
+ Revision: 366032
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1:2.2-0.pre1.3mdv2008.1
+ Revision: 151376
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jul 18 2006 Götz Waschk <waschk@mandriva.org> 2.2-0.pre1.2mdv2007.0
- fix buildrequires

* Tue Jul 18 2006 Götz Waschk <waschk@mandriva.org> 2.2-0.pre1.1mdv2007.0
- fix conflict with gimp
- fix build
- new version

* Mon Apr 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0-9mdk
- add bug reference

* Mon Apr 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:2.0-8mdk
- Don't use automatic requires for perl-PDL (#22095)

* Fri Dec 23 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-7mdk
- revert previous buildrequires

* Fri Dec 23 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-6mdk
- Fix Buildrequires

* Mon Oct 03 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-5mdk
- Fix BuildRequires

* Wed Aug 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:2.0-4mdk
- Rebuild, fix installation process

* Mon Apr 18 2005 Giuseppe Ghibò <ghibo@mandriva.com> 1:2.0-3mdk
- Fixed X86-64 building.

* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0-2mdk
- rebuild for new perl

* Mon May 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-1mdk
- new release

* Tue Apr 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0-0.pre2_4mdk
- even more buildrequires *grf*

* Mon Apr 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0-0.pre2_3mdk
- whoppsy, yet another buildrequires caught!
- get rid of cvs files

* Mon Apr 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0-0.pre2_2mdk
- fix buildrequires
- spec cosmetics

* Fri Mar 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.pre2_1mdk
- initial release

